Subject: bug#8342: 24.0.50; Emacs HEAD cannot build with OS X standard autoconf

From: Steve Purcell <[email-masked]>
Date: Fri, 25 Mar 2011 15:04:03 +0000

On 25 Mar 2011, at 14:26, Jan Djärv wrote:
> 
> Steve Purcell skrev 2011-03-25 14.29:
>> The latest Apple developer tools (XCode 3.2.6) provide autoconf version
>> 2.61. Since 'configure' was removed from emacs bzr, it cannot be
>> regenerated on this platform without autoconf>= 2.6.5, i.e. overriding
>> Apple's standard autotools, which is widely deprecated.
> 
> Deprecated by who?  I have had autoconf in /usr/local for years on OSX, and noticed no ill effects on XCode projects.
>> 
>> IMHO, it should continue to be possible to build emacs without doing so,
>> as has always been the case.
> 
> It is still the case for released versions, it is just the developer version that has changed.  This is more or less how other projects manage development versions.
> 
> 	Jan D.

Hi Jan,

I'm sure some other projects do the same thing. Though I appreciate the purity of not checking in the configure script, I think it is neither pragmatic nor common to do so.

The majority of software I have ever installed from source has been supplied with a pre-generated configure script, and this is independent of whether that software was a development or release version. Provided the relevant libraries are installed, almost everything will build with only gcc and a standard shell.

For reference, I'm using the Homebrew package manager (http://github.com/mxcl/homebrew), which relies on the Apple-standard autoconf. Of the ~1500 packages it currently supports, both in stable and dev versions, Emacs HEAD is now the only one which I know will fail to build due to the autoconf version.

The change appears to simplify things for the very few developers who touch configure.in at the expense of the many more casual users/developers who build Emacs from HEAD, use it and provide feedback and patches. Making the software harder to build will reduce the user base.

That's probably why most projects tend to check the configure script into VC (which is a compromise aesthetically) and it's why I still hope that a convenient method can be found to keep the configure script up to date and checked-in.

I will probably take the time to work around this issue on my own machine sooner or later, but not everybody will do so, and this is why I raised this bug.

Cheers, and many thanks for your work on Emacs.

-Steve